Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Math Class Reference

Math utilities. More...

`#include <yatemath.h>`

## Static Public Member Functions
static String & | dumpComplex (String &buf, const Complex &val, const char *sep=0, const char *fmt=0)
static String & | dumpFloat (String &buf, const float &val, const char *sep=0, const char *fmt=0)

## Detailed Description

Math utilities.

This class global Math utility methods

## Member Function Documentation

static String& dumpComplex | ( | String & | buf,
|  | const Complex & | val,
|  | const char * | sep = `0`,
|  | const char * | fmt = `0`
| ) |  |
| static

Dump a Complex number to a String

Parameters

  buf | Destination string
  val | Value to dump
  sep | Optional separator
  fmt | Format to use ("%g%+gi" if not given)

Returns
  Destination string address

Referenced by TelEngine::operator<<().

static String& dumpFloat | ( | String & | buf,
|  | const float & | val,
|  | const char * | sep = `0`,
|  | const char * | fmt = `0`
| ) |  |
| static

Dump a float number to a String

Parameters

  buf | Destination string
  val | Value to dump
  sep | Optional separator
  fmt | Format to use ("%g" if not given)

Returns
  Destination string address

The documentation for this class was generated from the following file:

- yatemath.h